---
name: Bug report
about: Create a report to help us improve
title: Bug report
labels: bug

---

### Prerequisites

* Please check that a similar issue isn't already filed: https://github.com/issues?q=is%3Aissue+user%3Atriqs

### Description

[Description of the issue]

### Steps to Reproduce

1. [First Step]
2. [Second Step]
3. [and so on...]

or paste a minimal code example to reproduce the issue.

**Expected behavior:** [What you expect to happen]

**Actual behavior:** [What actually happens]

### Versions

Please provide the application version that you used.

You can get this information from copy and pasting the output of
```bash
python -c "from triqs_dft_tools.version import *; show_version(); show_git_hash();"
```
from the command line. Also, please include the OS you are running and its version.

### Formatting

Please use markdown in your issue message. A useful summary of commands can be found [here](https://guides.github.com/pdfs/markdown-cheatsheet-online.pdf).

### Additional Information

Any additional information, configuration or data that might be necessary to reproduce the issue.
